#include <bits/stdc++.h>
using namespace std;
int a[200005];
int b[200005];
int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    int n;
    cin>>n;
    int najveci=0;
    bool svi=true;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        if(a[i]!=1)
            svi=false;
    }
    for(int i=0; i<n; i++)
    {
        cin>>b[i];
        if(b[i]>najveci)
            najveci=b[i];
    }
    if(svi)
        cout<<najveci<<endl;
    else
    {
        long long maks=0;
        for(int i=1; i<n; i++)
        {
            long long r1=0;
            long long r2=2147483647;
            for(int j=i; j<n; j++)
            {
                r1^=a[j];
                r2&=b[j];
                if(r1*r2>maks)
                    maks=r1*r2;
            }
        }
        cout<<maks<<endl;
    }
    return 0;
}